Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: martin rudalics <[email-masked]>
Date: Mon, 17 Apr 2017 17:43:57 +0200

Looks good to me.  I suppose though this won't work with GNUStep so I
can't try it.  Two remarks below.

 > + * Set frame F's `undecorated' parameter.  If non-nil, F's window-system
 > + * window is drawn without decorations, title, minimize/maximize boxes
 > + * and external borders.

I suppose you want to mention the removal of the toolbar here.  If so,
we'll have to mention that in the manual as well.  When you re-add the
decorations, does the inner frame move or are the decorations drawn
around an unmoved inner frame?

 > + * A child frame's `left' and `top' parameters specify positions
 > + * relative to the top-left corner of its parent frame's native
 > + * rectangle.

Does the above hold for NS?  Does a (set-frame-position child 0 0)
really put child in the upper left corner of its parent?  Also we would
have to describe the deviant clipping behavior for NS.

Many thanks, martin